"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const i18next_1 = require("i18next");
const store_1 = tslib_1.__importStar(require("./generate/store"));
class Init extends core_1.Command {
    async run() {
        const { flags } = await this.parse(Init);
        const { sdk } = flags;
        (0, store_1.setSDK)(sdk);
        const generateStore = new store_1.default(this.argv, this.config);
        return generateStore.run.bind(this).call(this);
    }
}
exports.default = Init;
Init.description = (0, i18next_1.t)('command.generate_store.description');
Init.examples = ['<%= config.bin %> <%= command.id %>'];
Init.flags = {
    sdk: core_1.Flags.boolean({
        char: 's',
        aliases: ['sdk'],
        summary: 'Use --sdk flag to initiate SDK architecure CLI',
        description: '--sdk flag is used to run and install projects with SDK architecture',
    })
};
//# sourceMappingURL=init.js.map